diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-veno.h ns-3.44/src/internet/model/tcp-veno.h
--- ns-3.43/src/internet/model/tcp-veno.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-veno.h	2025-03-09 16:55:49.411371200 -0700
@@ -23,9 +23,9 @@
 class TcpSocketState;
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief An implementation of TCP Veno
+ * @brief An implementation of TCP Veno
  *
  * TCP Veno enhances Reno algorithm for more effectively dealing with random
  * packet loss in wireless access networks by employing Vegas's method in
@@ -61,8 +61,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -72,8 +72,8 @@
     TcpVeno();
 
     /**
-     * \brief Copy constructor
-     * \param sock the object to copy
+     * @brief Copy constructor
+     * @param sock the object to copy
      */
     TcpVeno(const TcpVeno& sock);
     ~TcpVeno() override;
@@ -81,7 +81,7 @@
     std::string GetName() const override;
 
     /**
-     * \brief Perform RTT sampling needed to execute Veno algorithm
+     * @brief Perform RTT sampling needed to execute Veno algorithm
      *
      * The function filters RTT samples from the last RTT to find
      * the current smallest propagation delay + queueing delay (m_minRtt).
@@ -90,39 +90,39 @@
      * The function also min-filters all RTT measurements seen to find the
      * propagation delay (m_baseRtt).
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments ACKed
-     * \param rtt last RTT
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments ACKed
+     * @param rtt last RTT
      *
      */
     void PktsAcked(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked, const Time& rtt) override;
 
     /**
-     * \brief Enable/disable Veno depending on the congestion state
+     * @brief Enable/disable Veno depending on the congestion state
      *
      * We only start a Veno when we are in normal congestion state (CA_OPEN state).
      *
-     * \param tcb internal congestion state
-     * \param newState new congestion state to which the TCP is going to switch
+     * @param tcb internal congestion state
+     * @param newState new congestion state to which the TCP is going to switch
      */
     void CongestionStateSet(Ptr<TcpSocketState> tcb,
                             const TcpSocketState::TcpCongState_t newState) override;
 
     /**
-     * \brief Adjust cwnd following Veno additive increase algorithm
+     * @brief Adjust cwnd following Veno additive increase algorithm
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments ACKed
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments ACKed
      */
     void IncreaseWindow(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked) override;
 
     /**
-     * \brief Get slow start threshold during Veno multiplicative-decrease phase
+     * @brief Get slow start threshold during Veno multiplicative-decrease phase
      *
-     * \param tcb internal congestion state
-     * \param bytesInFlight bytes in flight
+     * @param tcb internal congestion state
+     * @param bytesInFlight bytes in flight
      *
-     * \return the slow start threshold value
+     * @return the slow start threshold value
      */
     uint32_t GetSsThresh(Ptr<const TcpSocketState> tcb, uint32_t bytesInFlight) override;
 
@@ -131,7 +131,7 @@
   protected:
   private:
     /**
-     * \brief Enable Veno algorithm to start Veno sampling
+     * @brief Enable Veno algorithm to start Veno sampling
      *
      * Veno algorithm is enabled in the following situations:
      * 1. at the establishment of a connection
@@ -143,7 +143,7 @@
     void EnableVeno();
 
     /**
-     * \brief Turn off Veno
+     * @brief Turn off Veno
      */
     void DisableVeno();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-westwood-plus.h ns-3.44/src/internet/model/tcp-westwood-plus.h
--- ns-3.43/src/internet/model/tcp-westwood-plus.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-westwood-plus.h	2025-03-09 16:55:49.411371200 -0700
@@ -34,9 +34,9 @@
 class Time;
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief An implementation of TCP Westwood+.
+ * @brief An implementation of TCP Westwood+.
  *
  * Westwood+ employ the AIAD (Additive Increase/Adaptive Decrease)
  * congestion control paradigm. When a congestion episode happens,
@@ -57,21 +57,21 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     TcpWestwoodPlus();
     /**
-     * \brief Copy constructor
-     * \param sock the object to copy
+     * @brief Copy constructor
+     * @param sock the object to copy
      */
     TcpWestwoodPlus(const TcpWestwoodPlus& sock);
     ~TcpWestwoodPlus() override;
 
     /**
-     * \brief Filter type (None or Tustin)
+     * @brief Filter type (None or Tustin)
      */
     enum FilterType
     {
@@ -89,15 +89,15 @@
     /**
      * Update the total number of acknowledged packets during the current RTT
      *
-     * \param [in] acked the number of packets the currently received ACK acknowledges
+     * @param [in] acked the number of packets the currently received ACK acknowledges
      */
     void UpdateAckedSegments(int acked);
 
     /**
      * Estimate the network's bandwidth
      *
-     * \param [in] rtt the RTT estimation.
-     * \param [in] tcb the socket state.
+     * @param [in] rtt the RTT estimation.
+     * @param [in] tcb the socket state.
      */
     void EstimateBW(const Time& rtt, Ptr<TcpSocketState> tcb);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-yeah.h ns-3.44/src/internet/model/tcp-yeah.h
--- ns-3.43/src/internet/model/tcp-yeah.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-yeah.h	2025-03-09 16:55:49.411371200 -0700
@@ -22,9 +22,9 @@
 {
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief An implementation of TCP YeAH
+ * @brief An implementation of TCP YeAH
  *
  *  YeAH-TCP (Yet Another HighSpeed TCP) is a heuristic designed to balance various
  *  requirements of a state-of-the-art congestion control algorithm:
@@ -62,8 +62,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -73,8 +73,8 @@
     TcpYeah();
 
     /**
-     * \brief Copy constructor
-     * \param sock the object to copy
+     * @brief Copy constructor
+     * @param sock the object to copy
      */
     TcpYeah(const TcpYeah& sock);
     ~TcpYeah() override;
@@ -82,7 +82,7 @@
     std::string GetName() const override;
 
     /**
-     * \brief Compute RTTs needed to execute YeAH algorithm
+     * @brief Compute RTTs needed to execute YeAH algorithm
      *
      * The function filters RTT samples from the last RTT to find
      * the current smallest propagation delay + queueing delay (minRtt).
@@ -91,39 +91,39 @@
      * The function also min-filters all RTT measurements seen to find the
      * propagation delay (baseRtt).
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments ACKed
-     * \param rtt last RTT
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments ACKed
+     * @param rtt last RTT
      *
      */
     void PktsAcked(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked, const Time& rtt) override;
 
     /**
-     * \brief Enable/disable YeAH algorithm depending on the congestion state
+     * @brief Enable/disable YeAH algorithm depending on the congestion state
      *
      * We only start a YeAH cycle when we are in normal congestion state (CA_OPEN state).
      *
-     * \param tcb internal congestion state
-     * \param newState new congestion state to which the TCP is going to switch
+     * @param tcb internal congestion state
+     * @param newState new congestion state to which the TCP is going to switch
      */
     void CongestionStateSet(Ptr<TcpSocketState> tcb,
                             const TcpSocketState::TcpCongState_t newState) override;
 
     /**
-     * \brief Adjust cwnd following YeAH dual-mode algorithm
+     * @brief Adjust cwnd following YeAH dual-mode algorithm
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments ACKed
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments ACKed
      */
     void IncreaseWindow(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked) override;
 
     /**
-     * \brief Get slow start threshold upon the receipt of 3 dupACKs
+     * @brief Get slow start threshold upon the receipt of 3 dupACKs
      *
-     * \param tcb internal congestion state
-     * \param bytesInFlight number of outstanding bytes
+     * @param tcb internal congestion state
+     * @param bytesInFlight number of outstanding bytes
      *
-     * \return the slow start threshold value
+     * @return the slow start threshold value
      */
     uint32_t GetSsThresh(Ptr<const TcpSocketState> tcb, uint32_t bytesInFlight) override;
 
@@ -132,7 +132,7 @@
   protected:
   private:
     /**
-     * \brief Enable YeAH algorithm to start taking YeAH samples
+     * @brief Enable YeAH algorithm to start taking YeAH samples
      *
      * YeAH algorithm is enabled in the following situations:
      * 1. at the establishment of a connection
@@ -140,12 +140,12 @@
      * 3. after fast recovery
      * 4. when an idle connection is restarted
      *
-     * \param nextTxSequence Sequence to transmit next
+     * @param nextTxSequence Sequence to transmit next
      */
     void EnableYeah(const SequenceNumber32& nextTxSequence);
 
     /**
-     * \brief Stop taking YeAH samples
+     * @brief Stop taking YeAH samples
      */
     void DisableYeah();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/udp-header.h ns-3.44/src/internet/model/udp-header.h
--- ns-3.43/src/internet/model/udp-header.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/udp-header.h	2025-03-09 16:55:49.411371200 -0700
@@ -19,8 +19,8 @@
 namespace ns3
 {
 /**
- * \ingroup udp
- * \brief Packet header for UDP packets
+ * @ingroup udp
+ * @brief Packet header for UDP packets
  *
  * This class has fields corresponding to those in a network UDP header
  * (port numbers, payload size, checksum) as well as methods for serialization
@@ -30,32 +30,32 @@
 {
   public:
     /**
-     * \brief Enable checksum calculation for UDP
+     * @brief Enable checksum calculation for UDP
      */
     void EnableChecksums();
     /**
-     * \param port the destination port for this UdpHeader
+     * @param port the destination port for this UdpHeader
      */
     void SetDestinationPort(uint16_t port);
     /**
-     * \param port The source port for this UdpHeader
+     * @param port The source port for this UdpHeader
      */
     void SetSourcePort(uint16_t port);
     /**
-     * \return The source port for this UdpHeader
+     * @return The source port for this UdpHeader
      */
     uint16_t GetSourcePort() const;
     /**
-     * \return the destination port for this UdpHeader
+     * @return the destination port for this UdpHeader
      */
     uint16_t GetDestinationPort() const;
 
     /**
-     * \param source the ip source to use in the underlying
+     * @param source the ip source to use in the underlying
      *        ip packet.
-     * \param destination the ip destination to use in the
+     * @param destination the ip destination to use in the
      *        underlying ip packet.
-     * \param protocol the protocol number to use in the underlying
+     * @param protocol the protocol number to use in the underlying
      *        ip packet.
      *
      * If you want to use udp checksums, you should call this
@@ -64,11 +64,11 @@
     void InitializeChecksum(Address source, Address destination, uint8_t protocol);
 
     /**
-     * \param source the ip source to use in the underlying
+     * @param source the ip source to use in the underlying
      *        ip packet.
-     * \param destination the ip destination to use in the
+     * @param destination the ip destination to use in the
      *        underlying ip packet.
-     * \param protocol the protocol number to use in the underlying
+     * @param protocol the protocol number to use in the underlying
      *        ip packet.
      *
      * If you want to use udp checksums, you should call this
@@ -77,11 +77,11 @@
     void InitializeChecksum(Ipv4Address source, Ipv4Address destination, uint8_t protocol);
 
     /**
-     * \param source the ip source to use in the underlying
+     * @param source the ip source to use in the underlying
      *        ip packet.
-     * \param destination the ip destination to use in the
+     * @param destination the ip destination to use in the
      *        underlying ip packet.
-     * \param protocol the protocol number to use in the underlying
+     * @param protocol the protocol number to use in the underlying
      *        ip packet.
      *
      * If you want to use udp checksums, you should call this
@@ -90,8 +90,8 @@
     void InitializeChecksum(Ipv6Address source, Ipv6Address destination, uint8_t protocol);
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -101,13 +101,13 @@
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Is the UDP checksum correct ?
-     * \returns true if the checksum is correct, false otherwise.
+     * @brief Is the UDP checksum correct ?
+     * @returns true if the checksum is correct, false otherwise.
      */
     bool IsChecksumOk() const;
 
     /**
-     * \brief Force the UDP checksum to a given value.
+     * @brief Force the UDP checksum to a given value.
      *
      * This might be useful for test purposes or to
      * restore the UDP checksum when the UDP header
@@ -119,33 +119,33 @@
      * When this option is used, the UDP checksum is written in
      * the header, regardless of the global ChecksumEnabled option.
      *
-     * \note The checksum value must be a big endian number.
+     * @note The checksum value must be a big endian number.
      *
-     * \param checksum the checksum to use (big endian).
+     * @param checksum the checksum to use (big endian).
      */
     void ForceChecksum(uint16_t checksum);
 
     /**
-     * \brief Force the UDP payload length to a given value.
+     * @brief Force the UDP payload length to a given value.
      *
      * This might be useful when forging a packet for test
      * purposes.
      *
-     * \param payloadSize the payload length to use.
+     * @param payloadSize the payload length to use.
      */
     void ForcePayloadSize(uint16_t payloadSize);
 
     /**
-     * \brief Return the checksum (only known after a Deserialize)
-     * \return The checksum for this UdpHeader
+     * @brief Return the checksum (only known after a Deserialize)
+     * @return The checksum for this UdpHeader
      */
     uint16_t GetChecksum() const;
 
   private:
     /**
-     * \brief Calculate the header checksum
-     * \param size packet size
-     * \returns the checksum
+     * @brief Calculate the header checksum
+     * @param size packet size
+     * @returns the checksum
      */
     uint16_t CalculateHeaderChecksum(uint16_t size) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/udp-l4-protocol.cc ns-3.44/src/internet/model/udp-l4-protocol.cc
--- ns-3.43/src/internet/model/udp-l4-protocol.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/udp-l4-protocol.cc	2025-03-09 16:55:49.411371200 -0700
@@ -36,9 +36,6 @@
 
 NS_OBJECT_ENSURE_REGISTERED(UdpL4Protocol);
 
-/* see http://www.iana.org/assignments/protocol-numbers */
-const uint8_t UdpL4Protocol::PROT_NUMBER = 17;
-
 TypeId
 UdpL4Protocol::GetTypeId()
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/udp-l4-protocol.h ns-3.44/src/internet/model/udp-l4-protocol.h
--- ns-3.43/src/internet/model/udp-l4-protocol.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/udp-l4-protocol.h	2025-03-09 16:55:49.411371200 -0700
@@ -30,8 +30,8 @@
 class NetDevice;
 
 /**
- * \ingroup internet
- * \defgroup udp UDP
+ * @ingroup internet
+ * @defgroup udp UDP
  *
  * This  is  an  implementation of the User Datagram Protocol described in
  * \RFC{768}.  It implements a connectionless,  unreliable  datagram  packet
@@ -46,18 +46,20 @@
  */
 
 /**
- * \ingroup udp
- * \brief Implementation of the UDP protocol
+ * @ingroup udp
+ * @brief Implementation of the UDP protocol
  */
 class UdpL4Protocol : public IpL4Protocol
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
-    static const uint8_t PROT_NUMBER; //!< protocol number (0x11)
+
+    /// Protocol number (see http://www.iana.org/assignments/protocol-numbers)
+    static constexpr uint8_t PROT_NUMBER = 17;
 
     UdpL4Protocol();
     ~UdpL4Protocol() override;
@@ -68,52 +70,52 @@
 
     /**
      * Set node associated with this stack
-     * \param node the node
+     * @param node the node
      */
     void SetNode(Ptr<Node> node);
 
     int GetProtocolNumber() const override;
 
     /**
-     * \return A smart Socket pointer to a UdpSocket, allocated by this instance
+     * @return A smart Socket pointer to a UdpSocket, allocated by this instance
      * of the UDP protocol
      */
     Ptr<Socket> CreateSocket();
 
     /**
-     * \brief Allocate an IPv4 Endpoint
-     * \return the Endpoint
+     * @brief Allocate an IPv4 Endpoint
+     * @return the Endpoint
      */
     Ipv4EndPoint* Allocate();
     /**
-     * \brief Allocate an IPv4 Endpoint
-     * \param address address to use
-     * \return the Endpoint
+     * @brief Allocate an IPv4 Endpoint
+     * @param address address to use
+     * @return the Endpoint
      */
     Ipv4EndPoint* Allocate(Ipv4Address address);
     /**
-     * \brief Allocate an IPv4 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param port port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv4 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param port port to use
+     * @return the Endpoint
      */
     Ipv4EndPoint* Allocate(Ptr<NetDevice> boundNetDevice, uint16_t port);
     /**
-     * \brief Allocate an IPv4 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param address address to use
-     * \param port port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv4 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param address address to use
+     * @param port port to use
+     * @return the Endpoint
      */
     Ipv4EndPoint* Allocate(Ptr<NetDevice> boundNetDevice, Ipv4Address address, uint16_t port);
     /**
-     * \brief Allocate an IPv4 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param localAddress local address to use
-     * \param localPort local port to use
-     * \param peerAddress remote address to use
-     * \param peerPort remote port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv4 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param localAddress local address to use
+     * @param localPort local port to use
+     * @param peerAddress remote address to use
+     * @param peerPort remote port to use
+     * @return the Endpoint
      */
     Ipv4EndPoint* Allocate(Ptr<NetDevice> boundNetDevice,
                            Ipv4Address localAddress,
@@ -122,39 +124,39 @@
                            uint16_t peerPort);
 
     /**
-     * \brief Allocate an IPv6 Endpoint
-     * \return the Endpoint
+     * @brief Allocate an IPv6 Endpoint
+     * @return the Endpoint
      */
     Ipv6EndPoint* Allocate6();
     /**
-     * \brief Allocate an IPv6 Endpoint
-     * \param address address to use
-     * \return the Endpoint
+     * @brief Allocate an IPv6 Endpoint
+     * @param address address to use
+     * @return the Endpoint
      */
     Ipv6EndPoint* Allocate6(Ipv6Address address);
     /**
-     * \brief Allocate an IPv6 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param port port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv6 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param port port to use
+     * @return the Endpoint
      */
     Ipv6EndPoint* Allocate6(Ptr<NetDevice> boundNetDevice, uint16_t port);
     /**
-     * \brief Allocate an IPv6 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param address address to use
-     * \param port port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv6 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param address address to use
+     * @param port port to use
+     * @return the Endpoint
      */
     Ipv6EndPoint* Allocate6(Ptr<NetDevice> boundNetDevice, Ipv6Address address, uint16_t port);
     /**
-     * \brief Allocate an IPv6 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param localAddress local address to use
-     * \param localPort local port to use
-     * \param peerAddress remote address to use
-     * \param peerPort remote port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv6 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param localAddress local address to use
+     * @param localPort local port to use
+     * @param peerAddress remote address to use
+     * @param peerPort remote port to use
+     * @return the Endpoint
      */
     Ipv6EndPoint* Allocate6(Ptr<NetDevice> boundNetDevice,
                             Ipv6Address localAddress,
@@ -163,32 +165,32 @@
                             uint16_t peerPort);
 
     /**
-     * \brief Remove an IPv4 Endpoint.
-     * \param endPoint the end point to remove
+     * @brief Remove an IPv4 Endpoint.
+     * @param endPoint the end point to remove
      */
     void DeAllocate(Ipv4EndPoint* endPoint);
     /**
-     * \brief Remove an IPv6 Endpoint.
-     * \param endPoint the end point to remove
+     * @brief Remove an IPv6 Endpoint.
+     * @param endPoint the end point to remove
      */
     void DeAllocate(Ipv6EndPoint* endPoint);
 
     /**
-     * \brief Remove a socket from the internal list
+     * @brief Remove a socket from the internal list
      *
-     * \param socket socket to remove
-     * \return true if the socket has been removed
+     * @param socket socket to remove
+     * @return true if the socket has been removed
      */
     bool RemoveSocket(Ptr<UdpSocketImpl> socket);
 
     // called by UdpSocket.
     /**
-     * \brief Send a packet via UDP (IPv4)
-     * \param packet The packet to send
-     * \param saddr The source Ipv4Address
-     * \param daddr The destination Ipv4Address
-     * \param sport The source port number
-     * \param dport The destination port number
+     * @brief Send a packet via UDP (IPv4)
+     * @param packet The packet to send
+     * @param saddr The source Ipv4Address
+     * @param daddr The destination Ipv4Address
+     * @param sport The source port number
+     * @param dport The destination port number
      */
     void Send(Ptr<Packet> packet,
               Ipv4Address saddr,
@@ -196,13 +198,13 @@
               uint16_t sport,
               uint16_t dport);
     /**
-     * \brief Send a packet via UDP (IPv4)
-     * \param packet The packet to send
-     * \param saddr The source Ipv4Address
-     * \param daddr The destination Ipv4Address
-     * \param sport The source port number
-     * \param dport The destination port number
-     * \param route The route
+     * @brief Send a packet via UDP (IPv4)
+     * @param packet The packet to send
+     * @param saddr The source Ipv4Address
+     * @param daddr The destination Ipv4Address
+     * @param sport The source port number
+     * @param dport The destination port number
+     * @param route The route
      */
     void Send(Ptr<Packet> packet,
               Ipv4Address saddr,
@@ -211,12 +213,12 @@
               uint16_t dport,
               Ptr<Ipv4Route> route);
     /**
-     * \brief Send a packet via UDP (IPv6)
-     * \param packet The packet to send
-     * \param saddr The source Ipv4Address
-     * \param daddr The destination Ipv4Address
-     * \param sport The source port number
-     * \param dport The destination port number
+     * @brief Send a packet via UDP (IPv6)
+     * @param packet The packet to send
+     * @param saddr The source Ipv4Address
+     * @param daddr The destination Ipv4Address
+     * @param sport The source port number
+     * @param dport The destination port number
      */
     void Send(Ptr<Packet> packet,
               Ipv6Address saddr,
@@ -224,13 +226,13 @@
               uint16_t sport,
               uint16_t dport);
     /**
-     * \brief Send a packet via UDP (IPv6)
-     * \param packet The packet to send
-     * \param saddr The source Ipv4Address
-     * \param daddr The destination Ipv4Address
-     * \param sport The source port number
-     * \param dport The destination port number
-     * \param route The route
+     * @brief Send a packet via UDP (IPv6)
+     * @param packet The packet to send
+     * @param saddr The source Ipv4Address
+     * @param daddr The destination Ipv4Address
+     * @param sport The source port number
+     * @param dport The destination port number
+     * @param route The route
      */
     void Send(Ptr<Packet> packet,
               Ipv6Address saddr,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/udp-socket-factory.h ns-3.44/src/internet/model/udp-socket-factory.h
--- ns-3.43/src/internet/model/udp-socket-factory.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/udp-socket-factory.h	2025-03-09 16:55:49.411371200 -0700
@@ -16,23 +16,23 @@
 class Socket;
 
 /**
- * \ingroup socket
- * \ingroup udp
+ * @ingroup socket
+ * @ingroup udp
  *
- * \brief API to create UDP socket instances
+ * @brief API to create UDP socket instances
  *
  * This abstract class defines the API for UDP socket factory.
  * All UDP implementations must provide an implementation of CreateSocket
  * below.
  *
- * \see UdpSocketFactoryImpl
+ * @see UdpSocketFactoryImpl
  */
 class UdpSocketFactory : public SocketFactory
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/udp-socket-factory-impl.h ns-3.44/src/internet/model/udp-socket-factory-impl.h
--- ns-3.43/src/internet/model/udp-socket-factory-impl.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/udp-socket-factory-impl.h	2025-03-09 16:55:49.411371200 -0700
@@ -18,10 +18,10 @@
 class UdpL4Protocol;
 
 /**
- * \ingroup socket
- * \ingroup udp
+ * @ingroup socket
+ * @ingroup udp
  *
- * \brief Object to create UDP socket instances
+ * @brief Object to create UDP socket instances
  *
  * This class implements the API for creating UDP sockets.
  * It is a socket factory (deriving from class SocketFactory).
@@ -33,16 +33,16 @@
     ~UdpSocketFactoryImpl() override;
 
     /**
-     * \brief Set the associated UDP L4 protocol.
-     * \param udp the UDP L4 protocol
+     * @brief Set the associated UDP L4 protocol.
+     * @param udp the UDP L4 protocol
      */
     void SetUdp(Ptr<UdpL4Protocol> udp);
 
     /**
-     * \brief Implements a method to create a Udp-based socket and return
+     * @brief Implements a method to create a Udp-based socket and return
      * a base class smart pointer to the socket.
      *
-     * \return smart pointer to Socket
+     * @return smart pointer to Socket
      */
     Ptr<Socket> CreateSocket() override;
 
